X11-xft-0.3.1: Bindings to the Xft, X Free Type interface library, and some Xrender parts

Safe Haskell | None
Language | Haskell98

Graphics.X11.Xrender

# Documentation

peekCUShort :: Ptr a -> CInt -> IO Int

pokeCUShort :: Ptr a -> CInt -> Int -> IO ()

peekCShort :: Ptr a -> CInt -> IO Int

pokeCShort :: Ptr a -> CInt -> Int -> IO ()

data XRenderColor

Constructors

XRenderColor |
Fields xrendercolor_red :: Int xrendercolor_green :: Int xrendercolor_blue :: Int xrendercolor_alpha :: Int

Instances

Storable XRenderColor |

data XGlyphInfo

Constructors

XGlyphInfo |
Fields xglyphinfo_width :: Int xglyphinfo_height :: Int xglyphinfo_x :: Int xglyphinfo_y :: Int xglyphinfo_xOff :: Int xglyphinfo_yOff :: Int

Instances

Storable XGlyphInfo |

data XRenderDirectFormat

Constructors

XRenderDirectFormat |
Fields xrenderdirectformat_red :: Int xrenderdirectformat_redMask :: Int xrenderdirectformat_green :: Int xrenderdirectformat_greenMask :: Int xrenderdirectformat_blue :: Int xrenderdirectformat_blueMask :: Int xrenderdirectformat_alpha :: Int xrenderdirectformat_alphaMask :: Int

Instances

Storable XRenderDirectFormat |